SuffixLines (Apache Ant API)
Date: 2016-04-09

org.apache.tools.ant.filters

## Class SuffixLines

- java.lang.Object
- - java.io.Reader
  - - java.io.FilterReader
    - - org.apache.tools.ant.filters.BaseFilterReader
      - - org.apache.tools.ant.filters.BaseParamFilterReader
        - - org.apache.tools.ant.filters.SuffixLines

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable, java.lang.Readable, ChainableReader, Parameterizable

      public final class SuffixLines
      extends BaseParamFilterReader
      implements ChainableReader

  Attaches a suffix to every line. Example:

      <suffixlines suffix="Foo"/>

  Or:

      <filterreader classname="org.apache.tools.ant.filters.SuffixLines">
        <param name="suffix" value="Foo"/>
       </filterreader>

  Since:
    Ant 1.8.0

- - ### Field Summary

    - ### Fields inherited from class java.io.FilterReader

      `in`

    - ### Fields inherited from class java.io.Reader

      `lock`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SuffixLines()` Constructor for "dummy" instances.
    `SuffixLines(java.io.Reader in)` Creates a new filtered reader.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.io.Reader` | `chain(java.io.Reader rdr)` Creates a new SuffixLines filter using the passed in Reader for instantiation.
    `int` | `read()` Returns the next character in the filtered stream.
    `void` | `setSuffix(java.lang.String suffix)` Sets the suffix to add at the end of each input line.

    - ### Methods inherited from class org.apache.tools.ant.filters.BaseParamFilterReader

      `getParameters, setParameters`

    - ### Methods inherited from class org.apache.tools.ant.filters.BaseFilterReader

      `getInitialized, getProject, read, readFully, readLine, setInitialized, setProject, skip`

    - ### Methods inherited from class java.io.FilterReader

      `close, mark, markSupported, ready, reset`

    - ### Methods inherited from class java.io.Reader

      `read, read`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SuffixLines

          public SuffixLines()

      Constructor for "dummy" instances.
      See Also:
        `BaseFilterReader.BaseFilterReader()`

    - #### SuffixLines

          public SuffixLines(java.io.Reader in)

      Creates a new filtered reader.
      Parameters:
        `in` - A Reader object providing the underlying stream. Must not be `null`.

  - ### Method Detail

    - #### read

          public int read()
                   throws java.io.IOException

      Returns the next character in the filtered stream. One line is read from the original input, and the suffix added. The resulting line is then used until it ends, at which point the next original line is read, etc.
      Overrides:
        `read` in class `java.io.FilterReader`
      Returns:
        the next character in the resulting stream, or -1 if the end of the resulting stream has been reached
      Throws:
        `java.io.IOException` - if the underlying stream throws an IOException during reading

    - #### setSuffix

          public void setSuffix(java.lang.String suffix)

      Sets the suffix to add at the end of each input line.
      Parameters:
        `suffix` - The suffix to add at the end of each input line. May be `null`, in which case no suffix is added.

    - #### chain

          public java.io.Reader chain(java.io.Reader rdr)

      Creates a new SuffixLines filter using the passed in Reader for instantiation.
      Specified by:
        `chain` in interface `ChainableReader`
      Parameters:
        `rdr` - A Reader object providing the underlying stream. Must not be `null`.
      Returns:
        a new filter based on this configuration, but filtering the specified reader